## org.apache.lucene.util
Class DocIdBitSet

    java.lang.Object
      org.apache.lucene.search.DocIdSet
          org.apache.lucene.util.DocIdBitSet

    public class DocIdBitSet

extends DocIdSet

Simple DocIdSet and DocIdSetIterator backed by a BitSet

Constructor Summary
`DocIdBitSet(BitSet bitSet)`

Method Summary
`BitSet` `getBitSet()` Returns the underlying BitSet.
`DocIdSetIterator` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocIdBitSet

    public DocIdBitSet(BitSet bitSet)

Method Detail

### iterator

    public DocIdSetIterator iterator()

  Specified by:
    `iterator` in class `DocIdSet`

### getBitSet

    public BitSet getBitSet()

  Returns the underlying BitSet.

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.